# Uses of Interface
com.opensymphony.module.sitemesh.Page

Packages that use Page
Package
Description
com.opensymphony.module.sitemesh
com.opensymphony.module.sitemesh.filter
com.opensymphony.module.sitemesh.mapper
com.opensymphony.module.sitemesh.multipass
com.opensymphony.module.sitemesh.parser
com.opensymphony.module.sitemesh.taglib
com.opensymphony.sitemesh.compatability

## Uses of Page in com.opensymphony.module.sitemesh

Subinterfaces of Page in com.opensymphony.module.sitemesh
Modifier and Type
Interface
Description
`interface`
`HTMLPage`
Extension of `Page` providing access to HTML data.
Methods in com.opensymphony.module.sitemesh that return Page
Modifier and Type
Method
Description
`Page`
PageParser.`parse(char[] data)`
This builds a Page.
Methods in com.opensymphony.module.sitemesh with parameters of type Page
Modifier and Type
Method
Description
`Decorator`
DecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
Return appropriate `Decorator` for a certain Page.

## Uses of Page in com.opensymphony.module.sitemesh.filter

Methods in com.opensymphony.module.sitemesh.filter that return Page
Modifier and Type
Method
Description
`Page`
PageResponseWrapper.`getPage()`
`Page`
Buffer.`parse()`

## Uses of Page in com.opensymphony.module.sitemesh.mapper

Methods in com.opensymphony.module.sitemesh.mapper with parameters of type Page
Modifier and Type
Method
Description
`private Decorator`
PageDecoratorMapper.`getByProperty(javax.servlet.http.HttpServletRequest request, Page p, String name)`
`Decorator`
AbstractDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
Delegate to parent.
`Decorator`
AgentDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
`Decorator`
ConfigDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
Retrieve `Decorator` based on 'pattern' tag.
`Decorator`
CookieDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
`Decorator`
FrameSetDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
`Decorator`
InlineDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
`Decorator`
LanguageDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
`Decorator`
NullDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
Returns null.
`Decorator`
OSDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
Attempts to find the correct decorator for Page page based on the UA-OS HTTP header in the request.
`Decorator`
PageDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
`Decorator`
ParameterDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
`Decorator`
PrintableDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
`Decorator`
RobotDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`
`Decorator`
SessionDecoratorMapper.`getDecorator(javax.servlet.http.HttpServletRequest request, Page page)`

## Uses of Page in com.opensymphony.module.sitemesh.multipass

Fields in com.opensymphony.module.sitemesh.multipass declared as Page
Modifier and Type
Field
Description
`private final Page`
MultipassReplacementPageParser.`page`
Methods in com.opensymphony.module.sitemesh.multipass that return Page
Modifier and Type
Method
Description
`Page`
MultipassReplacementPageParser.`parse(char[] data)`
Methods in com.opensymphony.module.sitemesh.multipass with parameters of type Page
Modifier and Type
Method
Description
`protected void`
MultipassFilter.`writeDecorator(javax.servlet.http.HttpServletResponse response, Page page, javax.servlet.RequestDispatcher dispatcher, javax.servlet.http.HttpServletRequest request)`
Constructors in com.opensymphony.module.sitemesh.multipass with parameters of type Page
Modifier
Constructor
Description
``
`MultipassReplacementPageParser(Page page, javax.servlet.http.HttpServletResponse response)`

## Uses of Page in com.opensymphony.module.sitemesh.parser

Classes in com.opensymphony.module.sitemesh.parser that implement Page
Modifier and Type
Class
Description
`class`
`AbstractHTMLPage`
Abstract implementation of `HTMLPage`.
`class`
`AbstractPage`
Abstract implementation of `Page` .
`final class`
`FastPage`
HTMLPage implementation produced by FastPageParser.
`class`
`TokenizedHTMLPage`
HTMLPage implementation that builds itself based on the incoming 'tag' and 'text' tokens fed to it from the HTMLTagTokenizer.
Methods in com.opensymphony.module.sitemesh.parser that return Page
Modifier and Type
Method
Description
`Page`
FastPageParser.`parse(char[] data)`
Deprecated.
`Page`
FastPageParser.`parse(Reader reader)`
Deprecated.
`Page`
HTMLPageParser.`parse(char[] data)`

## Uses of Page in com.opensymphony.module.sitemesh.taglib

Methods in com.opensymphony.module.sitemesh.taglib that return Page
Modifier and Type
Method
Description
`protected Page`
AbstractTag.`getPage()`
Return the Page object from the PAGE scope.

## Uses of Page in com.opensymphony.sitemesh.compatability

Classes in com.opensymphony.sitemesh.compatability that implement Page
Modifier and Type
Class
Description
`class`
`Content2HTMLPage`
Adapts a SiteMesh 3 `Content` to a SiteMesh 2 `HTMLPage`.